1

I am trying to install a module on my Raspberry Pi B+ running with Raspbian. To know the version of the Kernel I run the command uname -a and i got this:

Linux raspberrypi 3.10.25+ #622 PREEMPT Fri Jan 3 18:41:00 GMT 2014 armv6l GNU/Linux

So I downloaded the same version of the kernel but without the +, the version 3.10.25 from here. After compiling my module I run the `modinfo´ command and I got this:

vermagic: 3.10.25 preempt mod_unload modversions ARMv6 

But I send the module to the the Raspberry withe the scp command but when I try to install the module with insmod I got an error:

Error: could not insert module tz-check.ko: Invalid module format

When I run a dmesg | tail I got this:

tz_check: disagrees about version of symbol module_layout

Any solution please?

  • It looks like the module was compiled against kernel headers that are meant for a different version of the kernel. I think you said that you copied the compiled module to the Pi using scp. Does that mean you compiled the module on a different computer? If so, try compiling it on the Pi. – mazianni Apr 28 '15 at 12:49
  • @mazianni The goal is to cross-compile. Why is there a problem with the kernel version ? I used 3.10.25 for compilation and for the kernel on the board – EngineerN Apr 29 '15 at 7:34

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.